---
title: 'Get users'
description: 'This endpoint allows you to get users'
openapi: GET /api/users
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/users` — query parameters: `websiteId`, `organizationId`, `walletAddress`, `startingAfter`, `limit`, `twitterUser`, `discordUser`, `steamUsername`, `steamUserId`, `telegramUsername`, `telegramUserId`, `tiktokUser`, `redditUser`, `redditUserId`, `emailAddress`, `includeDelegation`, `userGroupId`, `userGroupExternalIdentifier`, `externalIdentifier`, `address`, `userId`

`GET https://admin.snagsolutions.io/api/users`

This endpoint allows you to get users

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `websiteId` (string) — The ID of the website
- `organizationId` (string) — The ID of the organization
- `walletAddress` (string) — The wallet address of the user
- `startingAfter` (string) — Pagination cursor to start after a specific user ID
- `limit` (integer) — Number of users to return
- `twitterUser` (string) — Twitter username of the user
- `discordUser` (string) — Discord username of the user
- `steamUsername` (string) — Steam username of the user
- `steamUserId` (string) — Steam ID of the user
- `telegramUsername` (string) — Telegram username of the user
- `telegramUserId` (string) — Telegram ID of the user
- `tiktokUser` (string) — TikTok username of the user
- `redditUser` (string) — Reddit username of the user
- `redditUserId` (string) — Reddit ID of the user
- `emailAddress` (string) — Email address of the user
- `includeDelegation` (boolean) — Whether to include delegations in the response
- `userGroupId` (string) — The ID of the user group
- `userGroupExternalIdentifier` (string) — External identifier for the user group controlled by you
- `externalIdentifier` (string) — External identifier for the user
- `address` (string) — The address of the user
- `userId` (string) — The ID of the user

## Response 200

200
  - response (object)
    - `data` (array, required) — Schema for users response
      - `items` (object) — Schema for a user response
        - `id` (string, uuid, required)
        - `temporaryLoyaltyUser` (boolean)
        - `isSnagSuperAdmin` (boolean, required)
        - `walletAddress` (string, required)
        - `privyUserId` (string, uuid)
        - `notifications` (boolean) — Whether the user has notifications enabled, only returned if includeNotifications is true
        - `delegationsFrom` (array) — The delegations from the user, only returned if includeDelegation is true
          - `items` (object)
            - walletAddress: … (nested further)
        - `userMetadata` (array)
          - `items` (object)
            - emailAddress: … (nested further)
            - emailVerifiedAt: … (nested further)
            - discordUser: … (nested further)
            - discordVerifiedAt: … (nested further)
            - twitterUser: … (nested further)
            - twitterVerifiedAt: … (nested further)
            - instagramUser: … (nested further)
            - instagramVerifiedAt: … (nested further)
            - logoUrl: … (nested further)
            - displayName: … (nested further)
            - location: … (nested further)
            - bio: … (nested further)
            - portfolioUrl: … (nested further)
            - meta: … (nested further)
            - userGroupId: … (nested further)
            - walletGroupIdentifier: … (nested further)
            - twitterUserFollowersCount: … (nested further)
            - telegramUserId: … (nested further)
            - telegramVerifiedAt: … (nested further)
            - telegramUsername: … (nested further)
            - isBlocked: … (nested further)
            - steamUserId: … (nested further)
            - steamUsername: … (nested further)
            - externalLoyaltyScore: … (nested further)
            - epicUsername: … (nested further)
            - epicAccountIdentifier: … (nested further)
            - googleUserId: … (nested further)
            - googleUser: … (nested further)
            - YTChannelId: … (nested further)
            - tiktokUser: … (nested further)
            - tiktokUserId: … (nested further)
            - redditUserId: … (nested further)
            - redditUser: … (nested further)
            - githubUser: … (nested further)
            - githubUserId: … (nested further)
            - createdAt: … (nested further)
            - updatedAt: … (nested further)
            - verifiedLocallyAt: … (nested further)
        - `websiteUserAttributes` (array)
          - `items` (object)
            - id: … (nested further)
            - label: … (nested further)
            - websiteUserAttributeValues: … (nested further)
        - `referrers` (array)
          - `items` (object)
            - eligible: … (nested further)
            - user: … (nested further)
            - referralCode: … (nested further)
    - `hasNextPage` (boolean, required) — Indicates if there is a next page of results

## Response 400

400
  - response (object) — Schema for bad request response
    - `message` (string, required) — Error message

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
